Subject: Re: bug#56357: Request for font size adaptation that fits window

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 04 Jul 2022 13:01:20 +0200

[email-masked] writes:

> Suppose a user uses a 13 pt font size.  Let there be some space
> between the longest line in the buffer and the edge of the window.  It
> would be super if the font size could be automatically increased, such
> that the difference between the longest line and the window size in
> minimised.

I think that sounds like a useful feature, and I'm kinda surprised that
it doesn't exist yet.  Or does it?  Anybody know?

To implement this, I guess the obvious thing would be to have a global
minor mode that'd listen to frame size changes, and then adjust the font
size up/down to reach the desired number of characters in a frame?  So
we'd have a user option font-size-adjust-target (defaulting to 80)
and a font-size-adjust-mode?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no